Skip to content

Detach Security Groups from a Cluster

POST
/api/v1/kubernetes/detach-security-group/{service_id}/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/kubernetes/detach-security-group/{service_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"security_group_ids": [
12345
]
}'

Detaches one or more security groups from the cluster’s nodes. Send security_group_ids - a non-empty list of security group IDs (from Attached Security Groups). Use the cluster service_id.

service_id
required
integer

The cluster service_id, as returned by List.

Example

12345
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request.

Example

<API_KEY>
location
required
string

Region of the cluster.

Example

<LOCATION>
Media typeapplication/json

Security groups to detach from the cluster.

object
security_group_ids
required

IDs of the security groups to detach (from Attached Security Groups).

Array<integer>

Example

[
12345
]

Example

{
"security_group_ids": [
12345
]
}

Successful response

Media typeapplication/json
object
code
integer
data
object
errors
object
message
string

Example

{
"code": 200,
"message": "Security Group Detached Successfully"
}